Snapping Ubuntu phone app using "ubuntu-app-platform"

XiaoGuo Liu xiaoguo.liu at
Wed Nov 23 07:48:35 UTC 2016

Hi all,

I just found that there was nothing wrong with my project. After some
troubleshooting, I finally found the root cause of the problem. The
is based on Qt 5.6.1 version. However, the Qt version on my desktop is Qt

As suggested by the blog
snapping-qt-apps/, we need to install the  stable-phone-overlay at
ubuntu/stable-phone-overlay/. We need to do "sudo apt upgrade" and "sudo
apt dist-upgrade" to make sure our Qt version is Qt 5.6.1. Then everything
will be fine.

Best regards,

On Wed, Nov 23, 2016 at 12:21 PM, XiaoGuo Liu <xiaoguo.liu at>

> Hi,
> I just read a blog about snapping a Qt app at:
> I followed the step, and I made my own project at:
> The file size is dropped dramatically. However, there is a problem when
> launching the app:
> =================================================================
> "This application failed to start because it could not find or load the Qt
> platform plugin "xcb".
> Reinstalling the application may fix this problem.
> Aborted (core dumped)
> =================================================================
> I am not sure what is missing in my project.
> However, my sample app at
> It works fine, and it does not use "ubuntu-app-platform", which uses the
> content sharing.
> Can anyone help me?
> Thanks & best regards,
> XiaoGuo
> --
> XiaoGuo, Liu

XiaoGuo, Liu
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the Snapcraft mailing list